summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rwxr-xr-xci/build_rpm/build_rpms.sh2
-rwxr-xr-xci/build_rpm/build_rpms_docker.sh9
-rwxr-xr-xci/deploy/deploy.sh15
3 files changed, 22 insertions, 4 deletions
diff --git a/ci/build_rpm/build_rpms.sh b/ci/build_rpm/build_rpms.sh
index 811eb13a..db5a42e9 100755
--- a/ci/build_rpm/build_rpms.sh
+++ b/ci/build_rpm/build_rpms.sh
@@ -40,7 +40,7 @@ function cleanup_container {
echo "Removing containers... $containers_to_kill"
(sudo docker rm -v -f ${containers_to_kill} 2>&1) > /dev/null
- if [[ ! -z "$containers_to_kill" ]]; then
+ if [[ ! -z "$volumes_to_remove" ]]; then
echo "Removing volumes... $volumes_to_remove"
(sudo docker volume rm ${volumes_to_remove} 2>&1) || true > /dev/null
fi
diff --git a/ci/build_rpm/build_rpms_docker.sh b/ci/build_rpm/build_rpms_docker.sh
index 4434157a..bd0e0878 100755
--- a/ci/build_rpm/build_rpms_docker.sh
+++ b/ci/build_rpm/build_rpms_docker.sh
@@ -14,6 +14,8 @@ rpm_build_dir=/opt/daisy4nfv
rpm_output_dir=$rpm_build_dir/build_output
tmp_rpm_build_dir=/home/cache/daisy4nfv
+DAISYCORE_TAG=1.3.0
+
if [[ -d $tmp_rpm_build_dir ]]; then
rm -fr $tmp_rpm_build_dir
fi
@@ -35,6 +37,13 @@ do
echo -e "\n\n\n*** Starting build attempt # $cnt"
git clone https://git.openstack.org/openstack/daisycloud-core
+
+ if [[ ! -z "$DAISYCORE_TAG" ]]; then
+ pushd daisycloud-core
+ git checkout $DAISYCORE_TAG
+ popd
+ fi
+
cp $rpm_build_dir/code/makefile_patch.sh daisycloud-core/tools/setup
cp $rpm_build_dir/code/install_interface_patch.sh daisycloud-core/tools/setup
cd daisycloud-core/make
diff --git a/ci/deploy/deploy.sh b/ci/deploy/deploy.sh
index f6fae37e..8c13776c 100755
--- a/ci/deploy/deploy.sh
+++ b/ci/deploy/deploy.sh
@@ -49,7 +49,7 @@ sudo `basename $0` -b base_path
-l zte -p pod2 -B pxebr
-d ./deploy/config/vm_environment/zte-virtual1/deploy.yml
-n ./deploy/config/vm_environment/zte-virtual1/network.yml
- -r /opt/daisy -w /opt/daisy -l zte -p pod2
+ -r /opt/daisy -w /opt/daisy
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
EOF
}
@@ -187,9 +187,12 @@ if [ $DRY_RUN -eq 1 ]; then
exit 1
fi
-if [ ! -x ${WORKSPACE}/opnfv.bin ]; then
- echo "opnfv.bin does not exist in WORKSPACE or is not executable, exit."
+if [ ! -f ${WORKSPACE}/opnfv.bin ]; then
+ echo "opnfv.bin does not exist in WORKSPACE, exit."
exit 1
+elif [ ! -x ${WORKSPACE}/opnfv.bin ]; then
+ echo "opnfv.bin in WORKSPACE is not executable, chmod it and continue."
+ chmod +x ${WORKSPACE}/opnfv.bin
fi
test -d ${VM_STORAGE} || mkdir -p ${VM_STORAGE}
@@ -320,12 +323,18 @@ ssh $SSH_PARAS $DAISY_IP "systemctl restart daisy-registry"
echo "===========check install progress==========="
ssh $SSH_PARAS $DAISY_IP "${REMOTE_SPACE}/deploy/check_os_progress.sh -d $IS_BARE -n $TARGET_HOSTS_NUM"
+if [ $? -ne 0 ]; then
+ exit 1;
+fi
sleep 10
if [ $IS_BARE == 0 ];then
virsh reboot all_in_one
fi
ssh $SSH_PARAS $DAISY_IP "${REMOTE_SPACE}/deploy/check_openstack_progress.sh"
+if [ $? -ne 0 ]; then
+ exit 1;
+fi
if [ $IS_BARE == 0 ];then